import { Injectable } from '@angular/core';
import Localbase from 'localbase';

@Injectable({
  providedIn: 'root',
})
export class DataService {
  db: any;

  constructor() {
    this.db = new Localbase('myDatabase');
  }

  public addData(collection: string, data: any, key?: string): void {
    if (key) {
      this.db.collection(collection).add(data, key);
    } else {
      this.db.collection(collection).add(data);
    }
  }

  // public addData(collection: string, data: any): void {
  //   this.db.collection(collection).add(data);
  // }

  getData(collection: string, key: string) {
    return this.db.collection(collection).doc(key).get();
  }

  getCollection(collection: string) {
    const res = this.db.collection(collection).get();
    console.log(res);
    return res;
  }
}
